Subject: Re: [PATCH v2 3/4] lib/rhashtable: Replace kernel.h with the necessary inclusions

From: Andy Shevchenko <[email-masked]>
Date: Thu, 7 Oct 2021 14:44:41 +0300

On Thu, Oct 07, 2021 at 07:23:28PM +0800, Herbert Xu wrote:
> On Thu, Oct 07, 2021 at 12:51:28PM +0300, Andy Shevchenko wrote:
> > When kernel.h is used in the headers it adds a lot into dependency hell,
> > especially when there are circular dependencies are involved.

> > Replace kernel.h inclusion with the list of what is really being used.

> Nack.  I can see the benefits of splitting things out of kernel.h
> but there is no reason to add crap to end users like rhashtable.c.

Crap is in the kernel.h. Could you elaborate how making a proper list
of the inclusions is a crap?

-- 
With Best Regards,
Andy Shevchenko